Commit 73820212 authored by Mathieu's avatar Mathieu
Browse files

[GUI] Update ace and scalajs-execnpm versions

parent cf44fadb
......@@ -622,7 +622,7 @@ def guiClientDir = guiDir / "client"
lazy val clientGUI = OsgiProject(guiClientDir, "org.openmole.gui.client.core") enablePlugins (ExecNpmPlugin) dependsOn
(sharedGUI, clientToolGUI, market, dataGUI, extClientTool) settings(
libraryDependencies += Libraries.async,
npmDeps in Compile += Dep("ace-builds", "1.4.1", List("mode-scala.js", "theme-github.js", "ext-language_tools.js"), true),
npmDeps in Compile += Dep("ace-builds/src-min", "1.4.3", List("mode-scala.js", "theme-github.js", "ext-language_tools.js"), true),
npmDeps in Compile += Dep("sortablejs", "1.7.0", List("Sortable.min.js"))
) settings (defaultSettings: _*)
......
......@@ -10,7 +10,6 @@ object Libraries {
lazy val mgoVersion = "3.28"
lazy val bouncyCastleVersion = "1.60"
lazy val aceVersion = "01.08.2014"
lazy val d3Version = "3.5.12"
lazy val tooltipserVersion = "3.3.0"
lazy val netLogo5Version = "5.3.1"
......@@ -21,7 +20,7 @@ object Libraries {
lazy val boopickleVersion = "1.2.6"
lazy val scalaAutowireVersion = "0.2.6"
lazy val sourcecodeVersion = "0.1.4"
lazy val scaladgetVersion = "1.2.4"
lazy val scaladgetVersion = "1.3.0-SNAPSHOT"
lazy val sortableVersion = "0.2.1"
lazy val json4sVersion = "3.5.0"
lazy val circeVersion = "0.10.0"
......
......@@ -6,7 +6,7 @@ addSbtPlugin("org.openmole" % "openmole-buildsystem-plugin" % "1.8-SNAPSHOT")
addSbtPlugin("org.scala-js" % "sbt-scalajs" % "0.6.25")
addSbtPlugin("fr.iscpif" % "scalajs-execnpm" % "0.6")
addSbtPlugin("fr.iscpif" % "scalajs-execnpm" % "0.7")
addSbtPlugin("com.lihaoyi" % "scalatex-sbt-plugin" % "0.3.12")
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment